import requests
import time
import datetime
import pymysql
import random
import pandas as pd

auto_urge_url = "http://earth.igengmei.com/api/v1/user/urge"

login_url = "http://earth.igengmei.com/api/account/login_pwd"

def index_first():

    r1=requests.get(login_url)
    return r1.cookies.get_dict()

def login():

    num_majia = random.randint(1, 300)

    # user_id=majia[num_majia]

    user = 's_PzFznI@shadow.com'

    pwd = '123456'

    cookies = index_first()

    post_dict={
        'account_type':2,
        'pwd':pwd,
        'email':user
    }
    response = requests.post(
        url=login_url,
        data=post_dict,
        cookies=cookies
    )

    headers=response.headers

    cook = headers['Set-Cookie'].split(";")

    cook = cook[0].split('=')[1]

    print(response.text, 'url')

    return {'sessionid': cook}

def Urge(cookies_get, id):
    post_dict = {
        'id': id
    }
    response = requests.post(url=auto_urge_url,
                             cookies=cookies_get,
                             data=post_dict)

    print(response.text, 'url')

def time_conv(numtime):
    now = datetime.datetime.now()
    yes_time = now - datetime.timedelta(days=numtime)
    yes_time_str = yes_time.strftime('%Y-%m-%d')
    print(now)
    return yes_time_str

def get_data(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)
    cursor = db.cursor()
    print("---------")

    cursor.execute("SELECT distinct(user_id) FROM topic WHERE create_time LIKE '%%%%%s%%%%'" % numtime)
    data = cursor.fetchall()

    user_id = list(data)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

def get_star_useid(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)
    cursor = db.cursor()

    cursor.execute(
        "SELECT user_id FROM topic WHERE content_level =4 or content_level =5 and create_time LIKE '%%%%%s%%%%'" % numtime)

    data = cursor.fetchall()

    user_id = list(data)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

if __name__ == "__main__":

    time_list = [1,2,3,4,5,6,7]

    for i in time_list:

        numtime = time_conv(i)

        user_id = get_data(numtime)

        for j in user_id:

            id = int(j[0])

            # time.sleep(random.randint(200,500))

            urge_num = random.randint(0, 2)

            for i in range(urge_num):

                cookies=login()

                Urge(cookies, id)

                # time.sleep(random.randint(500, 1000))


    for i in time_list:

        numtime = time_conv(i)

        user_id = get_star_useid(numtime)

        for j in user_id:

            id = int(j[0])

            # time.sleep(random.randint(200,500))

            for i in range(1):

                cookies = login()

                Urge(cookies, id)

                # time.sleep(random.randint(500, 1000))